package graficos;

public class Circulo {

  private double raio;

  /* Construtor default */
  Circulo() {
    this.raio = 2;
  }

  /* Construtor com argumento */
  Circulo(double raio) {
    this.raio = raio;
  }

  double comprimento() {
    return (2 * Math.PI * this.getRaio());
  }

  double area() {
    return (3.14 * this.getRaio() * this.getRaio());
  }

  /**
   * @return the raio
   */
  public double getRaio() {
    return raio;
  }

  /**
   * @param raio the raio to set
   */
  public void setRaio(double raio) {
    if (raio > 0)
      this.raio = raio;
    else
      throw new IllegalArgumentException();
  }

  @Override
  public String toString()
  {
    return "Circulo de raio " + this.raio;
  }

  @Override
  public boolean equals(Object o)
  {
    boolean resp = false;
    if (o instanceof Circulo)
    {
      Circulo c = (Circulo) o;
      resp =  this.raio == c.raio;
    }
    return resp;
  }

  @Override
  public int hashCode() {
    int hash = 5;
    hash = 43 * hash + (int) (Double.doubleToLongBits(this.raio) ^ (Double.doubleToLongBits(this.raio) >>> 32));
    return hash;
  }
}
